Package org.opensaml.soap.wssecurity.impl

# Class EncodedStringUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectUnmarshaller
org.opensaml.soap.wssecurity.impl.AttributedStringUnmarshaller
org.opensaml.soap.wssecurity.impl.EncodedStringUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `BinarySecurityTokenUnmarshaller`, `KeyIdentifierUnmarshaller`, `NonceUnmarshaller`

public class EncodedStringUnmarshaller extends AttributedStringUnmarshaller
Unmarshaller for instances of `EncodedString`.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`EncodedStringUnmarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`processAttribute(XMLObject xmlObject, Attr attribute)`
Called after an attribute has been unmarshalled so that it can be added to the XMLObject.

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AttributedStringUnmarshaller

`processElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processChildElement, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EncodedStringUnmarshaller

public EncodedStringUnmarshaller()

## Method Details

### processAttribute

protected void processAttribute(@Nonnull XMLObject xmlObject, @Nonnull Attr attribute) throws UnmarshallingException
Called after an attribute has been unmarshalled so that it can be added to the XMLObject. The default implementation of this method is a no-op

Overrides:
  `processAttribute` in class `AttributedStringUnmarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `attribute` - the attribute
Throws:
  `UnmarshallingException` - thrown if there is a problem adding the attribute to the XMLObject